package cz.cvut.fel.cs.ass.factoryMethod.product;

import java.math.BigDecimal;


public class OrderLine {

	private Product product;
	private int amount;
	
	public OrderLine(Product product, int amount) {
		super();
		this.product = product;
		this.amount = amount;
	}
	
	public Product getProduct() {
		return product;
	}
	public void setProduct(Product product) {
		this.product = product;
	}
	public int getAmount() {
		return amount;
	}
	public void setAmount(int amount) {
		this.amount = amount;
	}

	public BigDecimal getSubTotal() {
		return product.getPrice().multiply(new BigDecimal(amount));
	}
	
	public static OrderLine make(Product product, int amount) {
		return new OrderLine(product, amount);
	}

}
