package cz.cvut.fel.cs.ass.factoryMethod.distributor.impl;

import java.math.BigDecimal;
import java.net.URL;

import cz.cvut.fel.cs.ass.factoryMethod.distributor.Distributor;
import cz.cvut.fel.cs.ass.factoryMethod.product.Order;

public class CzechPost extends Distributor {

	@Override
	public BigDecimal getCharge() {
		// location estimate
		return new BigDecimal(150);
	}

	@Override
	public double getRank() {
		// some more detailed calculation
		return 2.5;
	}

	@Override
	public URL getTrackingLink() throws Exception {
		return new URL("http://www.cpost.com/tracking");
	}

	@Override
	public void ship(Order order) throws Exception {
		ship("cpost", order);
		System.out.println("# Send to Prague");
		System.out.println("# Distribute locally");
		System.out.println("# Distribute locally");
		System.out.println("# Distribute locally");
		System.out.println("# Send to Customer");
	}

}
