package cz.cvut.fel.cs.ass.singleton;


/**
 * Sample FileSystem that provides operations write, read and contains
 * 
 * @author cerny
 *
 */
public interface FileSystem {

	public abstract boolean contains(String name);

	public abstract void write(String name, String content) throws Exception;

	public abstract String read(String name) throws Exception;

}